Package com.google.android.exoplayer2.transformer

## Interface Codec.DecoderFactory

- Enclosing interface:
    Codec

      public static interface Codec.DecoderFactory

  A factory for decoder instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Codec` | `createForAudioDecoding​(Format format)` | Returns a `Codec` for audio decoding.
    `Codec` | `createForVideoDecoding​(Format format, Surface outputSurface, boolean enableRequestSdrToneMapping)` | Returns a `Codec` for video decoding.

- - ### Method Detail

    - #### createForAudioDecoding

          Codec createForAudioDecoding​(Format format)
                                throws TransformationException

      Returns a `Codec` for audio decoding.
      Parameters:
        `format` - The `Format` (of the input data) used to determine the underlying decoder and its configuration values.
      Returns:
        A `Codec` for audio decoding.
      Throws:
        `TransformationException` - If no suitable `Codec` can be created.

    - #### createForVideoDecoding

          Codec createForVideoDecoding​(Format format,
                                       Surface outputSurface,
                                       boolean enableRequestSdrToneMapping)
                                throws TransformationException

      Returns a `Codec` for video decoding.
      Parameters:
        `format` - The `Format` (of the input data) used to determine the underlying decoder and its configuration values.
        `outputSurface` - The `Surface` to which the decoder output is rendered.
        `enableRequestSdrToneMapping` - Whether to request tone-mapping to SDR.
      Returns:
        A `Codec` for video decoding.
      Throws:
        `TransformationException` - If no suitable `Codec` can be created.